Loading...
Searching...
No Matches
janus_rtp_simulcasting_context Struct Reference

Helper struct for processing and tracking simulcast streams. More...

`#include <rtp.h>`

Collaboration diagram for janus_rtp_simulcasting_context:
[legend]

## Data Fields

gint | rid_ext_id
| RTP Stream extension ID, if any.
janus_av1_svc_context | av1_context [3]
| Dependency Descriptors contexts, if any.
int | substream
| Which simulcast substream we should forward back.
int | substream_target
| As above, but to handle transitions (e.g., wait for keyframe, or get this if available).
int | substream_target_temp
int | templayer
| Which simulcast temporal layer we should forward back.
int | templayer_target
| As above, but to handle transitions (e.g., wait for keyframe).
guint32 | drop_trigger
| How much time (in us, default 250000) without receiving packets will make us drop to the substream below.
gint64 | last_relayed
| When we relayed the last packet (used to detect when substreams become unavailable).
gboolean | changed_substream
| Whether the substream has changed after processing a packet.
gboolean | changed_temporal
| Whether the temporal layer has changed after processing a packet.
gboolean | need_pli
| Whether we need to send the user a keyframe request (PLI).

## Detailed Description

Helper struct for processing and tracking simulcast streams.

## Field Documentation

## av1_context

janus_av1_svc_context janus_rtp_simulcasting_context::av1_context[3]

Dependency Descriptors contexts, if any.

## changed_substream

gboolean janus_rtp_simulcasting_context::changed_substream

Whether the substream has changed after processing a packet.

## changed_temporal

gboolean janus_rtp_simulcasting_context::changed_temporal

Whether the temporal layer has changed after processing a packet.

## drop_trigger

guint32 janus_rtp_simulcasting_context::drop_trigger

How much time (in us, default 250000) without receiving packets will make us drop to the substream below.

## last_relayed

gint64 janus_rtp_simulcasting_context::last_relayed

When we relayed the last packet (used to detect when substreams become unavailable).

## need_pli

gboolean janus_rtp_simulcasting_context::need_pli

Whether we need to send the user a keyframe request (PLI).

## rid_ext_id

gint janus_rtp_simulcasting_context::rid_ext_id

RTP Stream extension ID, if any.

## substream

int janus_rtp_simulcasting_context::substream

Which simulcast substream we should forward back.

## substream_target

int janus_rtp_simulcasting_context::substream_target

As above, but to handle transitions (e.g., wait for keyframe, or get this if available).

## substream_target_temp

int janus_rtp_simulcasting_context::substream_target_temp

## templayer

int janus_rtp_simulcasting_context::templayer

Which simulcast temporal layer we should forward back.

## templayer_target

int janus_rtp_simulcasting_context::templayer_target

As above, but to handle transitions (e.g., wait for keyframe).

The documentation for this struct was generated from the following file:

- rtp.h